# 最新模板


### 生成模块 有psd生成皮肤数据时使用
会根据参数Panel或者Scene生成ts文件写入./src/panels或./src/scenes文件夹
```shell script
npm run createModule RulePanel
```

### 资源配置刷新
有资源删除或增加时执行  
会根据resource里的子级文件夹分组  
文件夹名字用于各模块里的groupNames，用于按需资源加载  
```shell script
npm run flushRes
```

### 本地开发
```shell script
npm run dev
```

### 图集工具安装
```shell script
#全局安装
cnpm install pack_textures -g
#终端输入packTextures检查环境变量是否存在
```

### 淘宝打包流程
```shell script
#带资源打包，并生成./released/resource文件夹和./released/output.js文件
npm run build

#只打包代码，
npm run buildTS

#脚本copyJs.js自行修改小程序output.js文件路径，嫌麻烦自行修改package.json里的build和buildTS，也可自行复制output.js
npm run copyJs
```

### web打包流程
```shell script
#带资源打包，并生成./released/resource文件夹和./output.js文件及./released/index.html，可复制进皮肤
npm run buildWeb

#只打包代码，并生成./output.js文件及./released/index.html，会打印版本号，可直接更换皮肤的版本号
npm run buildWebTS
```

### 适配
./module/views/layers.ts可设置所有层级适配（弹框场景等等）  
单独模块的适配自行在模块里处理，修改this.y