let getObject;
getObject = (object:FYGE.Container, name:string)=>{
    const result = object.getChildByName(name);
    if(result) return result;

    for (const child of object.children) {
        const result = getObject(child,name);
        if(result) return result;
    }
    return null;
}

export const getObjects=(object:FYGE.Container,names:string[])=>{

    return names.map(name=>getObject(object,name))
}

export default getObject