import { RES } from "../../module/RES";
import { Panel } from "../../module/views/Panel";
import centerTextField from "../common/centerTextField";
import getObject from "../common/getObject";

export class DrawPanel extends Panel {
	initUi() {
		super.initUi();
		var skin = RES.getSkinDataByName(this.skinName);
        this.position.set(skin.x, skin.y);
	}
	//两个按钮都是关闭作用
	get closeBtns() {
		return [getObject(this, 'draw_close'),getObject(this, 'draw_ok')];
	}

	get groupNames() { return ["draw"] }
	get skinName() { return "draw" }
	

	async start(data) {
		super.start(data);
		centerTextField(getObject(this,'draw_tips'),597);
		getObject(this,'draw_tips').text = `成功获得奖励金${data}元\n奖励将于24小时内发放到您的账户`
	}
}