import { RES } from "../../module/RES";
import { Panel } from "../../module/views/Panel";
import centerTextField from "../common/centerTextField";
import getObject from "../common/getObject";

export class ShareSuccessPanel extends Panel {
	initUi() {
		super.initUi();
		var skin = RES.getSkinDataByName(this.skinName);
        this.position.set(skin.x, skin.y);
		centerTextField(getObject(this,'share_success_tips1'),596);
	}

	get groupNames() { return ["share_success"] }
	get skinName() { return "share_success" }
	

	//两个按钮都是关闭作用
	get closeBtns() {
		return [getObject(this, 'share_success_close')];
	}

	async start(data) {
		super.start();

	}
}