export const SkinJson ={
    "x": 0,
    "y": 0,
    "type": "container",
    "children": [
        {
            "name": "RulePanel",
            "x": 0,
            "y": 0,
            "type": "container",
            "children": [
                {
                    "name": "ruleBg",
                    "x": 28,
                    "y": 248,
                    "type": "sprite",
                    "props": {
                        "source": "ruleBg.png"
                    }
                },
                {
                    "name": "规则内容",
                    "x": 74,
                    "y": 369,
                    "type": "text",
                    "props": {
                        "text": "游戏规则\n",
                        "size": 30,
                        "fillColor": "#000000",
                        "textAlpha": 1
                    },
                    "id": "ruleTxt"
                },
                {
                    "name": "我知道了",
                    "x": 164,
                    "y": 1197,
                    "type": "button",
                    "props": {
                        "tUp": "我知道了.png"
                    },
                    "id": "knowBtn"
                },
                {
                    "name": "关闭按钮",
                    "x": 625,
                    "y": 272,
                    "type": "button",
                    "props": {
                        "tUp": "关闭按钮.png"
                    },
                    "id": "closeBtn"
                }
            ]
        },
        {
            "name": "StartScene",
            "x": 0,
            "y": 0,
            "type": "container",
            "children": [
                {
                    "name": "startSceneBg",
                    "x": 0,
                    "y": 0,
                    "type": "sprite",
                    "props": {
                        "source": "startSceneBg.jpg"
                    }
                },
                {
                    "name": "底部按钮区",
                    "x": 0,
                    "y": 1242,
                    "type": "container",
                    "children": [
                        {
                            "name": "底部按钮区背景",
                            "x": 0,
                            "y": 0,
                            "type": "sprite",
                            "props": {
                                "source": "底部按钮区背景.png"
                            }
                        },
                        {
                            "name": "icon",
                            "x": 56,
                            "y": 35,
                            "type": "container",
                            "children": [
                                {
                                    "name": "赚次数按钮",
                                    "x": 547,
                                    "y": 0,
                                    "type": "button",
                                    "props": {
                                        "tUp": "赚次数按钮.png"
                                    },
                                    "id": "taskBtn"
                                },
                                {
                                    "name": "运动锦鲤按钮",
                                    "x": 258,
                                    "y": 0,
                                    "type": "button",
                                    "props": {
                                        "tUp": "运动锦鲤按钮.png"
                                    },
                                    "id": "lotBtn"
                                },
                                {
                                    "name": "排行榜按钮",
                                    "x": 0,
                                    "y": 0,
                                    "type": "button",
                                    "props": {
                                        "tUp": "排行榜按钮.png"
                                    },
                                    "id": "rankBtn"
                                }
                            ]
                        }
                    ]
                },
                {
                    "name": "timesTxt",
                    "x": 286,
                    "y": 1205,
                    "type": "text",
                    "props": {
                        "text": "剩余次数：3次",
                        "size": 16.00722,
                        "fillColor": "#ffffff",
                        "textAlpha": 1
                    },
                    "id": "timesTxt"
                },
                {
                    "name": "开始游戏",
                    "x": 171,
                    "y": 1052,
                    "type": "button",
                    "props": {
                        "tUp": "开始游戏.png"
                    },
                    "id": "startBtn"
                },
                {
                    "name": "规则按钮",
                    "x": 621,
                    "y": 212,
                    "type": "button",
                    "props": {
                        "tUp": "规则按钮.png"
                    },
                    "id": "ruleBtn"
                },
                {
                    "name": "奖品按钮",
                    "x": 11,
                    "y": 212,
                    "type": "button",
                    "props": {
                        "tUp": "奖品按钮.png"
                    },
                    "id": "recordBtn"
                }
            ]
        },
        {
            "name": "loading",
            "x": 0,
            "y": 0,
            "type": "container",
            "children": [
                {
                    "name": "loading_bg",
                    "x": 0,
                    "y": 0,
                    "type": "sprite",
                    "props": {
                        "source": "loading_bg.png"
                    }
                },
                {
                    "name": "loading_title",
                    "x": 64,
                    "y": 253,
                    "type": "sprite",
                    "props": {
                        "source": "loading_title.png"
                    }
                },
                {
                    "name": "loading_loading",
                    "x": 299,
                    "y": 1076,
                    "type": "sprite",
                    "props": {
                        "source": "loading_loading.png"
                    }
                },
                {
                    "name": "loading_progress",
                    "x": 91,
                    "y": 1028,
                    "type": "container",
                    "children": [
                        {
                            "name": "loading_progressbg",
                            "x": 0,
                            "y": 0,
                            "type": "sprite",
                            "props": {
                                "source": "loading_progressbg.png"
                            }
                        },
                        {
                            "name": "loading_progressfront",
                            "x": 8,
                            "y": 4,
                            "type": "sprite",
                            "props": {
                                "source": "loading_progressfront.png"
                            }
                        }
                    ]
                }
            ]
        },
        {
            "name": "prize",
            "x": 78,
            "y": 405,
            "type": "container",
            "children": [
                {
                    "name": "prize_title2",
                    "x": 28,
                    "y": 0,
                    "type": "sprite",
                    "props": {
                        "source": "prize_title2.png"
                    }
                },
                {
                    "name": "prize_bg",
                    "x": 0,
                    "y": 134,
                    "type": "sprite",
                    "props": {
                        "source": "prize_bg.png"
                    }
                },
                {
                    "name": "prize_title",
                    "x": 78,
                    "y": 69,
                    "type": "sprite",
                    "props": {
                        "source": "prize_title.png"
                    }
                },
                {
                    "name": "prize_progressbg",
                    "x": 130,
                    "y": 347,
                    "type": "sprite",
                    "props": {
                        "source": "prize_progressbg.png"
                    }
                },
                {
                    "name": "prize_progress",
                    "x": 132,
                    "y": 348,
                    "type": "sprite",
                    "props": {
                        "source": "prize_progress.png"
                    }
                },
                {
                    "name": "prize_invite",
                    "x": 127,
                    "y": 580,
                    "type": "sprite",
                    "props": {
                        "source": "prize_invite.png"
                    }
                },
                {
                    "name": "prize_tips5",
                    "x": 183,
                    "y": 208,
                    "type": "text",
                    "props": {
                        "text": "恭喜你获得体验金",
                        "size": 30,
                        "fillColor": "#c75b2b",
                        "textAlpha": 1
                    }
                },
                {
                    "name": "prize_tip3",
                    "x": 240,
                    "y": 392,
                    "type": "text",
                    "props": {
                        "text": "1000/1000000",
                        "size": 24,
                        "fillColor": "#c75b2b",
                        "textAlpha": 1
                    }
                },
                {
                    "name": "prize_tip4",
                    "x": 97,
                    "y": 451,
                    "type": "text",
                    "props": {
                        "text": "邀请好友助力，体验金最高可得100万",
                        "size": 24,
                        "fillColor": "#c75b2b",
                        "textAlpha": 1
                    }
                },
                {
                    "name": "prize_tips2",
                    "x": 216,
                    "y": 254,
                    "type": "text",
                    "props": {
                        "text": "1000",
                        "size": 60,
                        "fillColor": "#ff2f50",
                        "textAlpha": 1
                    }
                },
                {
                    "name": "prize_tips1",
                    "x": 347,
                    "y": 277,
                    "type": "text",
                    "props": {
                        "text": "元",
                        "size": 29,
                        "fillColor": "#ff2f50",
                        "textAlpha": 1
                    }
                },
                {
                    "name": "prize_close",
                    "x": 560,
                    "y": 7,
                    "type": "sprite",
                    "props": {
                        "source": "prize_close.png"
                    }
                }
            ]
        },
        {
            "name": "draw",
            "x": 78,
            "y": 412,
            "type": "container",
            "children": [
                {
                    "name": "draw_bg",
                    "x": 0,
                    "y": 127,
                    "type": "sprite",
                    "props": {
                        "source": "draw_bg.png"
                    }
                },
                {
                    "name": "draw_title",
                    "x": 78,
                    "y": 62,
                    "type": "sprite",
                    "props": {
                        "source": "draw_title.png"
                    }
                },
                {
                    "name": "draw_tips",
                    "x": 103,
                    "y": 245,
                    "type": "text",
                    "props": {
                        "text": "成功获得奖励金****元\r奖励将于24小时内发放到您的账户",
                        "size": 26,
                        "fillColor": "#c75b2b",
                        "textAlpha": 1
                    }
                },
                {
                    "name": "draw_ok",
                    "x": 127,
                    "y": 473,
                    "type": "sprite",
                    "props": {
                        "source": "draw_ok.png"
                    }
                },
                {
                    "name": "draw_close",
                    "x": 560,
                    "y": 0,
                    "type": "sprite",
                    "props": {
                        "source": "draw_close.png"
                    }
                }
            ]
        },
        {
            "name": "rule",
            "x": 78,
            "y": 372,
            "type": "container",
            "children": [
                {
                    "name": "rule_bg",
                    "x": 0,
                    "y": 127,
                    "type": "sprite",
                    "props": {
                        "source": "rule_bg.png"
                    }
                },
                {
                    "name": "rule_tips2",
                    "x": 216,
                    "y": 172,
                    "type": "text",
                    "props": {
                        "text": "活动规则",
                        "size": 40,
                        "fillColor": "#ff2f50",
                        "textAlpha": 1
                    }
                },
                {
                    "id": "ruleTxt",
                    "name": "rule_tips",
                    "x": 83,
                    "y": 240,
                    "type": "text",
                    "props": {
                        "text": "活动规则文本活动规则文本活动规则文本\r活动规则文本活动规则文本活动规则文本\r活动规则文本活动规则文本活动规则文本\r活动规则文本活动规则文本活动规则文本\r活动规则文本活动规则文本活动规则文本\r活动规则文本活动规则文本活动规则文本\r活动规则文本活动规则文本活动规则文本\r活动规则文本活动规则文本活动规则文本\r活动规则文本活动规则文本活动规则文本\r活动规则文本活动规则文本活动规则文本",
                        "size": 24,
                        "fillColor": "#c75b2b",
                        "textAlpha": 1
                    }
                },
                {
                    "id": "knowBtn",
                    "name": "rule_ok",
                    "x": 127,
                    "y": 713,
                    "type": "sprite",
                    "props": {
                        "source": "rule_ok.png"
                    }
                },
                {
                    "id": "closeBtn",
                    "name": "rule_close",
                    "x": 560,
                    "y": 0,
                    "type": "sprite",
                    "props": {
                        "source": "rule_close.png"
                    }
                }
            ]
        },
        {
            "name": "share_success",
            "x": 78,
            "y": 412,
            "type": "container",
            "children": [
                {
                    "name": "share_success_bg",
                    "x": 0,
                    "y": 127,
                    "type": "sprite",
                    "props": {
                        "source": "share_success_bg.png"
                    }
                },
                {
                    "name": "share_success_title",
                    "x": 78,
                    "y": 62,
                    "type": "sprite",
                    "props": {
                        "source": "share_success_title.png"
                    }
                },
                {
                    "name": "share_success_tips1",
                    "x": 58,
                    "y": 245,
                    "type": "text",
                    "props": {
                        "text": "好友完成助力后即可获得体验金\r关注三湘E家公众号，获取体验金收益信息",
                        "size": 26,
                        "fillColor": "#c75b2b",
                        "textAlpha": 1
                    }
                },
                {
                    "name": "share_success_btn",
                    "x": 127,
                    "y": 473,
                    "type": "sprite",
                    "props": {
                        "source": "share_success_btn.png"
                    }
                },
                {
                    "name": "share_success_close",
                    "x": 560,
                    "y": 0,
                    "type": "sprite",
                    "props": {
                        "source": "share_success_close.png"
                    }
                }
            ]
        },
        {
            "name": "share_fail",
            "x": 78,
            "y": 412,
            "type": "container",
            "children": [
                {
                    "name": "share_fail_bg",
                    "x": 0,
                    "y": 127,
                    "type": "sprite",
                    "props": {
                        "source": "share_fail_bg.png"
                    }
                },
                {
                    "name": "share_fail_title",
                    "x": 78,
                    "y": 62,
                    "type": "sprite",
                    "props": {
                        "source": "share_fail_title.png"
                    }
                },
                {
                    "name": "share_fail_tip",
                    "x": 58,
                    "y": 245,
                    "type": "text",
                    "props": {
                        "text": "您已达到体验金上限100万了哦～\r关注三湘E家公众号，获取体验金收益信息",
                        "size": 26,
                        "fillColor": "#c75b2b",
                        "textAlpha": 1
                    }
                },
                {
                    "name": "share_fail_btn",
                    "x": 127,
                    "y": 473,
                    "type": "sprite",
                    "props": {
                        "source": "share_fail_btn.png"
                    }
                },
                {
                    "name": "share_fail_close",
                    "x": 560,
                    "y": 0,
                    "type": "sprite",
                    "props": {
                        "source": "share_fail_close.png"
                    }
                }
            ]
        },
        {
            "name": "index",
            "x": 0,
            "y": 0,
            "type": "container",
            "children": [
                {
                    "name": "index_wrapper",
                    "x": 0,
                    "y": 0,
                    "type": "container",
                    "children": [
                        {
                            "name": "index_bg",
                            "x": 0,
                            "y": 0,
                            "type": "sprite",
                            "props": {
                                "source": "index_bg.png"
                            }
                        },
                        {
                            "name": "index_bg2",
                            "x": 32,
                            "y": 253,
                            "type": "sprite",
                            "props": {
                                "source": "index_bg2.png"
                            }
                        },
                        {
                            "name": "index_title",
                            "x": 268,
                            "y": 127,
                            "type": "sprite",
                            "props": {
                                "source": "index_title.png"
                            }
                        },
                        {
                            "name": "index_marquee",
                            "x": 78,
                            "y": 186,
                            "type": "sprite",
                            "props": {
                                "source": "index_marquee.png"
                            }
                        },
                        {
                            "name": "index_rulebtn",
                            "x": 611,
                            "y": 111,
                            "type": "sprite",
                            "props": {
                                "source": "index_rulebtn.png"
                            }
                        },
                        {
                            "name": "index_task1",
                            "x": 59,
                            "y": 1158,
                            "type": "container",
                            "children": [
                                {
                                    "name": "index_task1bg",
                                    "x": 0,
                                    "y": 0,
                                    "type": "sprite",
                                    "props": {
                                        "source": "index_task1bg.png"
                                    }
                                },
                                {
                                    "name": "index_task1tips",
                                    "x": 31,
                                    "y": 27,
                                    "type": "text",
                                    "props": {
                                        "text": "在三湘银行开户即可增加XXX体验金",
                                        "size": 24,
                                        "fillColor": "#c75b2b",
                                        "textAlpha": 1
                                    }
                                },
                                {
                                    "name": "index_task1btn",
                                    "x": 479,
                                    "y": 17,
                                    "type": "sprite",
                                    "props": {
                                        "source": "index_task1btn.png"
                                    }
                                }
                            ]
                        },
                        {
                            "name": "index_task2new",
                            "x": 59,
                            "y": 1249,
                            "type": "container",
                            "children": [
                                {
                                    "name": "index_task2bg",
                                    "x": 0,
                                    "y": 0,
                                    "type": "sprite",
                                    "props": {
                                        "source": "index_task2bg.png"
                                    }
                                },
                                {
                                    "name": "index_task2newtip1",
                                    "x": 32,
                                    "y": 20,
                                    "type": "text",
                                    "props": {
                                        "text": "当前账户余额XXX元，每天体验金增长XX元",
                                        "size": 24,
                                        "fillColor": "#c75b2b",
                                        "textAlpha": 1
                                    }
                                },
                                {
                                    "name": "index_task2newtip2",
                                    "x": 509,
                                    "y": 20,
                                    "type": "text",
                                    "props": {
                                        "text": "未开户",
                                        "size": 24,
                                        "fillColor": "#958e8a",
                                        "textAlpha": 1
                                    }
                                },
                                {
                                    "name": "index_task2newtip3",
                                    "x": 29,
                                    "y": 73,
                                    "type": "text",
                                    "props": {
                                        "text": "账户余额100元，每天体验金增长XX元",
                                        "size": 20,
                                        "fillColor": "#958e8a",
                                        "textAlpha": 1
                                    }
                                },
                                {
                                    "name": "index_task2newtip4",
                                    "x": 29,
                                    "y": 113,
                                    "type": "text",
                                    "props": {
                                        "text": "账户余额200元，每天体验金增长XX元",
                                        "size": 20,
                                        "fillColor": "#958e8a",
                                        "textAlpha": 1
                                    }
                                },
                                {
                                    "name": "index_task2newtip5",
                                    "x": 29,
                                    "y": 152,
                                    "type": "text",
                                    "props": {
                                        "text": "账户余额500元，每天体验金增长XX元",
                                        "size": 20,
                                        "fillColor": "#958e8a",
                                        "textAlpha": 1
                                    }
                                }
                            ]
                        },
                        {
                            "name": "index_task2",
                            "x": 59,
                            "y": 1158,
                            "type": "container",
                            "children": [
                                {
                                    "name": "index_task2bg",
                                    "x": 0,
                                    "y": 0,
                                    "type": "sprite",
                                    "props": {
                                        "source": "index_task2bg.png"
                                    }
                                },
                                {
                                    "name": "index_task2_0",
                                    "x": 32,
                                    "y": 20,
                                    "type": "text",
                                    "props": {
                                        "text": "当前账户余额XXX元，每天体验金增长XX元",
                                        "size": 24,
                                        "fillColor": "#c75b2b",
                                        "textAlpha": 1
                                    }
                                },
                                {
                                    "name": "index_task2_1",
                                    "x": 508,
                                    "y": 20,
                                    "type": "text",
                                    "props": {
                                        "text": "未达标",
                                        "size": 24,
                                        "fillColor": "#958e8a",
                                        "textAlpha": 1
                                    }
                                },
                                {
                                    "name": "index_task2_2",
                                    "x": 488,
                                    "y": 20,
                                    "type": "text",
                                    "props": {
                                        "text": "体验金+XX",
                                        "size": 24,
                                        "fillColor": "#958e8a",
                                        "textAlpha": 1
                                    }
                                },
                                {
                                    "name": "index_task2_3",
                                    "x": 29,
                                    "y": 73,
                                    "type": "text",
                                    "props": {
                                        "text": "账户余额100元，每天体验金增长XX元",
                                        "size": 20,
                                        "fillColor": "#958e8a",
                                        "textAlpha": 1
                                    }
                                },
                                {
                                    "name": "index_task2_4",
                                    "x": 29,
                                    "y": 113,
                                    "type": "text",
                                    "props": {
                                        "text": "账户余额200元，每天体验金增长XX元",
                                        "size": 20,
                                        "fillColor": "#958e8a",
                                        "textAlpha": 1
                                    }
                                },
                                {
                                    "name": "index_task2_5",
                                    "x": 29,
                                    "y": 152,
                                    "type": "text",
                                    "props": {
                                        "text": "账户余额500元，每天体验金增长XX元",
                                        "size": 20,
                                        "fillColor": "#958e8a",
                                        "textAlpha": 1
                                    }
                                }
                            ]
                        },
                        {
                            "name": "index_yesterdayIncomeTips",
                            "x": 261,
                            "y": 469,
                            "type": "text",
                            "props": {
                                "text": "昨日收益：500元",
                                "size": 30,
                                "fillColor": "#c75b2b",
                                "textAlpha": 1
                            }
                        },
                        {
                            "name": "index_drawTips",
                            "x": 257,
                            "y": 797,
                            "type": "text",
                            "props": {
                                "text": "收益满7天即可提现～",
                                "size": 24,
                                "fillColor": "#c75b2b",
                                "textAlpha": 1
                            }
                        },
                        {
                            "name": "index_sumIncomeTips",
                            "x": 193,
                            "y": 560,
                            "type": "text",
                            "props": {
                                "text": "100",
                                "size": 40,
                                "fillColor": "#c75b2b",
                                "textAlpha": 1
                            }
                        },
                        {
                            "name": "index_millionSharesTips",
                            "x": 344,
                            "y": 560,
                            "type": "text",
                            "props": {
                                "text": "",
                                "size": 40,
                                "fillColor": "#c75b2b",
                                "textAlpha": 1
                            }
                        },
                        {
                            "name": "index_sevenDayAnnualizationTips",
                            "x": 469,
                            "y": 560,
                            "type": "text",
                            "props": {
                                "text": "100",
                                "size": 40,
                                "fillColor": "#c75b2b",
                                "textAlpha": 1
                            }
                        },
                        {
                            "name": "index_experienceAmountTips",
                            "x": 302,
                            "y": 383,
                            "type": "text",
                            "props": {
                                "text": "1000",
                                "size": 60,
                                "fillColor": "#ff2f50",
                                "textAlpha": 1
                            }
                        },
                        {
                            "name": "index_experienceAmountTips2",
                            "x": 302,
                            "y": 403,
                            "type": "text",
                            "props": {
                                "text": "元",
                                "size": 30,
                                "fillColor": "#ff2f50",
                                "textAlpha": 1
                            }
                        },
                        {
                            "name": "index_drawBtn",
                            "x": 205,
                            "y": 693,
                            "type": "sprite",
                            "props": {
                                "source": "index_drawBtn.png"
                            }
                        },
                        {
                            "name": "index_drawGrayBtn",
                            "x": 205,
                            "y": 693,
                            "type": "sprite",
                            "props": {
                                "source": "index_drawGrayBtn.png"
                            }
                        },
                        {
                            "name": "index_inviteBtn",
                            "x": 205,
                            "y": 1056,
                            "type": "sprite",
                            "props": {
                                "source": "index_inviteBtn.png"
                            }
                        },
                        {
                            "name": "index_progressbg",
                            "x": 151,
                            "y": 927,
                            "type": "sprite",
                            "props": {
                                "source": "index_progressbg.png"
                            }
                        },
                        {
                            "name": "index_progress",
                            "x": 153,
                            "y": 928,
                            "type": "sprite",
                            "props": {
                                "source": "index_progress.png"
                            }
                        },
                        {
                            "name": "index_invitePercentTips",
                            "x": 318,
                            "y": 974,
                            "type": "text",
                            "props": {
                                "text": "1000/1000000",
                                "size": 24,
                                "fillColor": "#c75b2b",
                                "textAlpha": 1
                            }
                        },
                        {
                            "name": "index_inviteTips",
                            "x": 166,
                            "y": 1010,
                            "type": "text",
                            "props": {
                                "text": "已有XX位好友助力，体验金增加XXXX元",
                                "size": 24,
                                "fillColor": "#c75b2b",
                                "textAlpha": 1
                            }
                        }
                    ]
                }
            ]
        },
        {
            "name": "share",
            "x": 0,
            "y": 0,
            "type": "container",
            "children": [
                {
                    "name": "share_bg",
                    "x": 0,
                    "y": 0,
                    "type": "sprite",
                    "props": {
                        "source": "share_bg.png"
                    }
                },
                {
                    "name": "share_rule",
                    "x": 611,
                    "y": 223,
                    "type": "sprite",
                    "props": {
                        "source": "share_rule.png"
                    }
                },
                {
                    "name": "share_maquee",
                    "x": 78,
                    "y": 442,
                    "type": "sprite",
                    "props": {
                        "source": "share_maquee.png"
                    }
                },
                {
                    "name": "share_go",
                    "x": 395,
                    "y": 1169,
                    "type": "sprite",
                    "props": {
                        "source": "share_go.png"
                    }
                },
                {
                    "name": "share_assist",
                    "x": 112,
                    "y": 1169,
                    "type": "sprite",
                    "props": {
                        "source": "share_assist.png"
                    }
                },
                {
                    "name": "share_tips3",
                    "x": 225,
                    "y": 988,
                    "type": "text",
                    "props": {
                        "text": "您的好友已在三湘E家获得",
                        "size": 26,
                        "fillColor": "#c75b2b",
                        "textAlpha": 1
                    }
                },
                {
                    "name": "share_tips2",
                    "x": 239,
                    "y": 1294,
                    "type": "text",
                    "props": {
                        "text": "",
                        "size": 26,
                        "fillColor": "#c75b2b",
                        "textAlpha": 1
                    }
                },
                {
                    "name": "share_tips1",
                    "x": 118,
                    "y": 1070,
                    "type": "text",
                    "props": {
                        "text": "",
                        "size": 40,
                        "fillColor": "#c75b2b",
                        "textAlpha": 1
                    }
                }
            ]
        },
        {
            "name": "assist",
            "x": 78,
            "y": 405,
            "type": "container",
            "children": [
                {
                    "name": "assist_bg2",
                    "x": 28,
                    "y": 0,
                    "type": "sprite",
                    "props": {
                        "source": "assist_bg2.png"
                    }
                },
                {
                    "name": "assist_bg",
                    "x": 0,
                    "y": 134,
                    "type": "sprite",
                    "props": {
                        "source": "assist_bg.png"
                    }
                },
                {
                    "name": "assist_title",
                    "x": 78,
                    "y": 69,
                    "type": "sprite",
                    "props": {
                        "source": "assist_title.png"
                    }
                },
                {
                    "name": "assist_tips3",
                    "x": 208,
                    "y": 208,
                    "type": "text",
                    "props": {
                        "text": "成功助力好友",
                        "size": 30,
                        "fillColor": "#c75b2b",
                        "textAlpha": 1
                    }
                },
                {
                    "name": "assist_tips2",
                    "x": 145,
                    "y": 412,
                    "type": "text",
                    "props": {
                        "text": "活动最高可获得100万体验金\r收益多多快来参与吧",
                        "size": 24,
                        "fillColor": "#c75b2b",
                        "textAlpha": 1
                    }
                },
                {
                    "name": "assist_amout",
                    "x": 226,
                    "y": 294,
                    "type": "text",
                    "props": {
                        "text": "1000",
                        "size": 60,
                        "fillColor": "#ff2f50",
                        "textAlpha": 1
                    }
                },
                {
                    "name": "assist_tips",
                    "x": 363,
                    "y": 315,
                    "type": "text",
                    "props": {
                        "text": "元",
                        "size": 29,
                        "fillColor": "#ff2f50",
                        "textAlpha": 1
                    }
                },
                {
                    "name": "assist_btn",
                    "x": 127,
                    "y": 580,
                    "type": "sprite",
                    "props": {
                        "source": "assist_btn.png"
                    }
                },
                {
                    "name": "assist_close",
                    "x": 560,
                    "y": 7,
                    "type": "sprite",
                    "props": {
                        "source": "assist_close.png"
                    }
                }
            ]
        },
        {
            "name": "newbie",
            "x": 0,
            "y": 0,
            "type": "container",
            "children": [
                {
                    "name": "newbie_bg",
                    "x": 0,
                    "y": 0,
                    "type": "sprite",
                    "props": {
                        "source": "newbie_bg.png"
                    }
                },
                
                {
                    "name": "newbie_pic7",
                    "x": 93,
                    "y": 994,
                    "type": "sprite",
                    "props": {
                        "source": "newbie_pic7.png"
                    }
                },
                {
                    "name": "newbie_pic6",
                    "x": 72,
                    "y": 729,
                    "type": "sprite",
                    "props": {
                        "source": "newbie_pic6.png"
                    }
                },
                
                
                
                {
                    "name": "newbie_pic2",
                    "x": 231,
                    "y": 839,
                    "type": "sprite",
                    "props": {
                        "source": "newbie_pic2.png"
                    }
                },
                {
                    "name": "newbie_title",
                    "x": 6,
                    "y": 278,
                    "type": "sprite",
                    "props": {
                        "source": "newbie_title.png"
                    }
                },
                {
                    "name": "newbie_rule",
                    "x": 611,
                    "y": 223,
                    "type": "sprite",
                    "props": {
                        "source": "newbie_rule.png"
                    }
                },
                {
                    "name": "newbie_marqee",
                    "x": 78,
                    "y": 442,
                    "type": "sprite",
                    "props": {
                        "source": "newbie_marqee.png"
                    }
                },
                {
                    "name": "newbie_open",
                    "x": 171,
                    "y": 1212,
                    "type": "sprite",
                    "props": {
                        "source": "newbie_open.png"
                    }
                }
            ]
        }
    ]
}