export default class TestLabel extends FYGE.Sprite {

    textfield:FYGE.TextField;
    constructor({text,color,w,h,size}:any, parent?) {
        super();

        this['w']=w;
        this['h']=h;


        const buttonTxt = new FYGE.TextField;
        buttonTxt.text = text;
        buttonTxt.textWidth = w;
        buttonTxt.textHeight = h;
        buttonTxt.size = size||30;
        buttonTxt.textAlign = FYGE.TEXT_ALIGN.CENTER;
        buttonTxt.verticalAlign = FYGE.VERTICAL_ALIGN.MIDDLE;
        buttonTxt.fillColor = color;
        this.addChild(buttonTxt);
        this.textfield = buttonTxt
        if (parent)
            parent.addChild(this)
    }

    getRect(){
        return [this['w'],this['h']]
    }
}